CREATE TABLE hrc_sem_locations (
    LOCATION_ID              NUMBER(18, 0) ,
    URI                      VARCHAR2(4000)    NOT NULL,
    GEOGRAPHY_ID             VARCHAR2(320)     NOT NULL,
    COUNTRY_ID               VARCHAR2(320)     NOT NULL,
    STATE_ID                 VARCHAR2(320) ,
    CITY_ID                  VARCHAR2(320) ,
    FQN                      VARCHAR2(4000),
    LATITUDE                 VARCHAR2(320) ,
    LONGITUDE                VARCHAR2(320) ,
    STATUS                   NUMBER(8, 0)  ,
    IS_ERROR                 NUMBER(8, 0)  ,
    ERROR_MESSAGE            VARCHAR2(4000),
    BATCH_ID                 NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LOCATION_ID              NUMBER(18, 0) ,
    URI                      VARCHAR2(4000)    NOT NULL,
    GEOGRAPHY_ID             VARCHAR2(320)     NOT NULL,
    COUNTRY_ID               VARCHAR2(320)     NOT NULL,
    STATE_ID                 VARCHAR2(320) ,
    CITY_ID                  VARCHAR2(320) ,
    FQN                      VARCHAR2(4000),
    LATITUDE                 VARCHAR2(320) ,
    LONGITUDE                VARCHAR2(320) ,
    STATUS                   NUMBER(8, 0)  ,
    IS_ERROR                 NUMBER(8, 0)  ,
    ERROR_MESSAGE            VARCHAR2(4000),
    BATCH_ID                 NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_hrc_sem_locations PRIMARY KEY (LOCATION_ID, LOCATION_ID)
);
